org.h2.expression.aggregate

## Class ListaggArguments

- java.lang.Object
- - org.h2.expression.aggregate.ListaggArguments

    public final class ListaggArguments
    extends java.lang.Object

Additional arguments of LISTAGG aggregate function.

### Constructor Summary

Constructors
Constructor and Description
`ListaggArguments()` Creates a new instance of additional arguments of LISTAGG aggregate function.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getEffectiveFilter()` Returns the effective LISTAGG truncation filter.
`java.lang.String` `getEffectiveSeparator()` Returns the effective LISTAGG separator.
`java.lang.String` `getFilter()` Returns the LISTAGG truncation filter.
`boolean` `getOnOverflowTruncate()` Returns the LISTAGG overflow behavior.
`java.lang.String` `getSeparator()` Returns the LISTAGG separator.
`boolean` `isWithoutCount()` Returns the LISTAGG count indication.
`void` `setFilter(java.lang.String filter)` Sets the custom LISTAGG truncation filter.
`void` `setOnOverflowTruncate(boolean onOverflowTruncate)` Sets the LISTAGG overflow behavior.
`void` `setSeparator(java.lang.String separator)` Sets the custom LISTAGG separator.
`void` `setWithoutCount(boolean withoutCount)` Sets the LISTAGG count indication.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ListaggArguments

    public ListaggArguments()

Creates a new instance of additional arguments of LISTAGG aggregate function.

### Method Detail

#### setSeparator

    public void setSeparator(java.lang.String separator)

Sets the custom LISTAGG separator.

Parameters:
  `separator` - the LISTAGG separator, `null` or empty string means no separator

#### getSeparator

    public java.lang.String getSeparator()

Returns the LISTAGG separator.

Returns:
  the LISTAGG separator, `null` means the default

#### getEffectiveSeparator

    public java.lang.String getEffectiveSeparator()

Returns the effective LISTAGG separator.

Returns:
  the effective LISTAGG separator

#### setOnOverflowTruncate

    public void setOnOverflowTruncate(boolean onOverflowTruncate)

Sets the LISTAGG overflow behavior.

Parameters:
  `onOverflowTruncate` - `true` for ON OVERFLOW TRUNCATE, `false` for ON OVERFLOW ERROR

#### getOnOverflowTruncate

    public boolean getOnOverflowTruncate()

Returns the LISTAGG overflow behavior.

Returns:
  `true` for ON OVERFLOW TRUNCATE, `false` for ON OVERFLOW ERROR

#### setFilter

    public void setFilter(java.lang.String filter)

Sets the custom LISTAGG truncation filter.

Parameters:
  `filter` - the LISTAGG truncation filter, `null` or empty string means no truncation filter

#### getFilter

    public java.lang.String getFilter()

Returns the LISTAGG truncation filter.

Returns:
  the LISTAGG truncation filter, `null` means the default

#### getEffectiveFilter

    public java.lang.String getEffectiveFilter()

Returns the effective LISTAGG truncation filter.

Returns:
  the effective LISTAGG truncation filter

#### setWithoutCount

    public void setWithoutCount(boolean withoutCount)

Sets the LISTAGG count indication.

Parameters:
  `withoutCount` - `true` for WITHOUT COUNT, `false` for WITH COUNT

#### isWithoutCount

    public boolean isWithoutCount()

Returns the LISTAGG count indication.

Returns:
  `true` for WITHOUT COUNT, `false` for WITH COUNT